# TdApi.File (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: File

Package it.tdlight.jni

# Class TdApi.File

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.File

Enclosing class:
  TdApi

    public static class TdApi.File
    extends TdApi.Object

Represents a file.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `expectedSize` | Approximate file size in bytes in case the exact file size is unknown.
`int` | `id` | Unique file identifier.
`TdApi.LocalFile` | `local` | Information about the local copy of the file.
`TdApi.RemoteFile` | `remote` | Information about the remote copy of the file.
`int` | `size` | File size, in bytes; 0 if unknown.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`File()` | Represents a file.
`File​(int id, int size, int expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)` | Represents a file.
`File​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique file identifier.

### size

public int size
File size, in bytes; 0 if unknown.

### expectedSize

public int expectedSize
Approximate file size in bytes in case the exact file size is unknown. Can be used to show download/upload progress.

### local

public TdApi.LocalFile local
Information about the local copy of the file.

### remote

public TdApi.RemoteFile remote
Information about the remote copy of the file.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### File

public File()
Represents a file.

### File

public File​(int id, int size, int expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)
Represents a file.

Parameters:
  `id` - int Unique file identifier.
  `size` - int File size, in bytes; 0 if unknown.
  `expectedSize` - int Approximate file size in bytes in case the exact file size is unknown. Can be used to show download/upload progress.
  `local` - LocalFile Information about the local copy of the file.
  `remote` - RemoteFile Information about the remote copy of the file.

### File

public File​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`